/**
 * CalendarCycle.java
 *
 * File generated from the medication::CalendarCycle uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration CalendarCycle.
 *
 * 
 */

@XmlType(name = "CalendarCycle")
@XmlEnum
@XmlRootElement(name = "CalendarCycle")
public enum CalendarCycle {
	@XmlEnumValue("D")
	D("D"),
	@XmlEnumValue("H")
	H("H"),
	@XmlEnumValue("J")
	J("J"),
	@XmlEnumValue("M")
	M("M"),
	@XmlEnumValue("N")
	N("N"),
	@XmlEnumValue("S")
	S("S"),
	@XmlEnumValue("W")
	W("W"),
	@XmlEnumValue("Y")
	Y("Y"),
	@XmlEnumValue("CD")
	CD("CD"),
	@XmlEnumValue("CH")
	CH("CH"),
	@XmlEnumValue("CM")
	CM("CM"),
	@XmlEnumValue("CN")
	CN("CN"),
	@XmlEnumValue("CS")
	CS("CS"),
	@XmlEnumValue("CW")
	CW("CW"),
	@XmlEnumValue("CY")
	CY("CY"),
	@XmlEnumValue("DM")
	DM("DM"),
	@XmlEnumValue("DW")
	DW("DW"),
	@XmlEnumValue("DY")
	DY("DY"),
	@XmlEnumValue("HD")
	HD("HD"),
	@XmlEnumValue("MY")
	MY("MY"),
	@XmlEnumValue("NH")
	NH("NH"),
	@XmlEnumValue("SN")
	SN("SN"),
	@XmlEnumValue("WY")
	WY("WY");
	
	private final String value;

    CalendarCycle(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static CalendarCycle fromValue(String v) {
        for (CalendarCycle c: CalendarCycle.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}